View Issue Details

IDProjectCategoryView StatusLast Update
0002888Ham Radio DeluxeBugpublic2018-09-11 13:18
Reportervk2byi 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindows Pro 10OS Version1803 64-bit
Product Version 
Target VersionFixed in Version6.4.0.886 
Summary0002888: Rows inserted via UDP Receive in QSO Forwarding are not inserted in the Target Database.
DescriptionDatagrams received on the Receive Ports in the UDP Receive group of controls in QSO Forwarding are not being inserted in the selected Target Database when more than one database is open, and the left-most tab is not the targeted database.

Originally reported in Mantis 0002867 but created here as a separate issue to aid in tracking.
Steps To Reproduce1. Create two databases in Logbook (e.g. Access and MySQL);
2. Enable UDP Receive for QSL9 (WSJT-X) type datagrams on port 2333 and select one of the databases at the target (e.g. MySQL database);
3. Make sure the other database (e.g. Access) is the left-most tab and restart Logbook;
4. Log a contact using WSJT-X to broadcast the QSL9 datagram on UDP:2333;
5. The contact should be inserted in the targeted (MySQL) database, but it is inserted in the left-most tab (Access) database instead;
6. Reverse the database tabs so that the other database (MySQL) is the left-most tab and restart Logbook;
7. Log another contact using WSJT-X to broadcast the QSL9 datagram on UDP:2333;
8. The contact is correctly inserted in the targeted MySQL database.

Refer to the 'Target Database Issue.jpg' attachment for my configuration used to reproduce this issue.
Additional InformationSeverity is minor as making the targeted database the left-most tab in Logbook is a workaround.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleInterfacing
Testing Beta Successful

Relationships

related to 0002858 closedWA9PIE Logbook: QSO Forwarding options are not correctly scoped 

Activities

vk2byi

2018-09-09 20:44

viewer  

Target Database Issue.jpg (88,322 bytes)
Target Database Issue.jpg (88,322 bytes)

g3ucq

2018-09-10 02:30

viewer   ~0006164

As I am unable to log from WSJT-X directly into the Logbook so I used JTAlert and the QSO went into the correct log even though it was the right most tab. Sorry if this is of no use.

K7ZCZ

2018-09-10 14:27

manager   ~0006187

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4343

vk2byi

2018-09-10 19:25

viewer   ~0006195

Fixed.

Tested with three databases open. One receiving contacts on Logbook API TCP:7826, the second listening for QSL9 on UDP:2333, and the third listening for QSL5 on UDP:12060. All contacts sent end up in their targeted databases.

Issue History

Date Modified Username Field Change
2018-09-09 20:44 vk2byi New Issue
2018-09-09 20:44 vk2byi File Added: Target Database Issue.jpg
2018-09-10 02:30 g3ucq Note Added: 0006164
2018-09-10 14:26 K7ZCZ Relationship added related to 0002858
2018-09-10 14:27 K7ZCZ Assigned To => K7ZCZ
2018-09-10 14:27 K7ZCZ Status new => resolved
2018-09-10 14:27 K7ZCZ Resolution open => fixed
2018-09-10 14:27 K7ZCZ Testing => Not Started
2018-09-10 14:27 K7ZCZ Note Added: 0006187
2018-09-10 16:54 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-09-10 16:55 WA9PIE Fixed in Version => 6.4.0.885
2018-09-10 16:55 WA9PIE Description Updated View Revisions
2018-09-10 16:55 WA9PIE Steps to Reproduce Updated View Revisions
2018-09-10 19:25 vk2byi Note Added: 0006195
2018-09-10 20:35 WA9PIE Status resolved => closed
2018-09-10 20:35 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.885 => 6.4.0.886